<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>DeploymentDescriptor (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DeploymentDescriptor (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/plugins/ear/descriptor/EarModule.html" title="interface in org.gradle.plugins.ear.descriptor"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" target="_top">Frames</a></li>
<li><a href="DeploymentDescriptor.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ear.descriptor</div>
<h2 title="Interface DeploymentDescriptor" class="title">Interface DeploymentDescriptor</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="strong">DeploymentDescriptor</span></pre>
<div class="block">A deployment descriptor such as application.xml.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#getApplicationName()">getApplicationName</a></strong>()</code>
<div class="block">The application name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#getDescription()">getDescription</a></strong>()</code>
<div class="block">The application description.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#getDisplayName()">getDisplayName</a></strong>()</code>
<div class="block">The application display name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#getFileName()">getFileName</a></strong>()</code>
<div class="block">The name of the descriptor file, typically "application.xml"</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#getInitializeInOrder()">getInitializeInOrder</a></strong>()</code>
<div class="block">Whether to initialize modules in the order they appear in the descriptor, with the exception of client modules.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#getLibraryDirectory()">getLibraryDirectory</a></strong>()</code>
<div class="block">The name of the directory to look for libraries in.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/plugins/ear/descriptor/EarModule.html" title="interface in org.gradle.plugins.ear.descriptor">EarModule</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#getModules()">getModules</a></strong>()</code>
<div class="block">List of module descriptors.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#getModuleTypeMappings()">getModuleTypeMappings</a></strong>()</code>
<div class="block">Mapping of module paths to module types.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/plugins/ear/descriptor/EarSecurityRole.html" title="interface in org.gradle.plugins.ear.descriptor">EarSecurityRole</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#getSecurityRoles()">getSecurityRoles</a></strong>()</code>
<div class="block">List of security roles.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#getVersion()">getVersion</a></strong>()</code>
<div class="block">The version of application.xml.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#module(org.gradle.plugins.ear.descriptor.EarModule,%20java.lang.String)">module</a></strong>(<a href="../../../../../org/gradle/plugins/ear/descriptor/EarModule.html" title="interface in org.gradle.plugins.ear.descriptor">EarModule</a>&nbsp;module,
      <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</code>
<div class="block">Add a module to the deployment descriptor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#module(java.lang.String,%20java.lang.String)">module</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
      <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</code>
<div class="block">Add a module to the deployment descriptor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#readFrom(java.lang.Object)">readFrom</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</code>
<div class="block">Reads the deployment descriptor from a file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#readFrom(java.io.Reader)">readFrom</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;reader)</code>
<div class="block">Reads the deployment descriptor from a reader.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#securityRole(org.gradle.api.Action)">securityRole</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/plugins/ear/descriptor/EarSecurityRole.html" title="interface in org.gradle.plugins.ear.descriptor">EarSecurityRole</a>&gt;&nbsp;action)</code>
<div class="block">Add a security role to the deployment descriptor after configuring it with the given action.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#securityRole(org.gradle.plugins.ear.descriptor.EarSecurityRole)">securityRole</a></strong>(<a href="../../../../../org/gradle/plugins/ear/descriptor/EarSecurityRole.html" title="interface in org.gradle.plugins.ear.descriptor">EarSecurityRole</a>&nbsp;role)</code>
<div class="block">Add a security role to the deployment descriptor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#securityRole(java.lang.String)">securityRole</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;role)</code>
<div class="block">Add a security role to the deployment descriptor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#setApplicationName(java.lang.String)">setApplicationName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;applicationName)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#setDescription(java.lang.String)">setDescription</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;description)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#setDisplayName(java.lang.String)">setDisplayName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;displayName)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#setFileName(java.lang.String)">setFileName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#setInitializeInOrder(java.lang.Boolean)">setInitializeInOrder</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;initializeInOrder)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#setLibraryDirectory(java.lang.String)">setLibraryDirectory</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;libraryDirectory)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#setModules(java.util.Set)">setModules</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/plugins/ear/descriptor/EarModule.html" title="interface in org.gradle.plugins.ear.descriptor">EarModule</a>&gt;&nbsp;modules)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#setModuleTypeMappings(java.util.Map)">setModuleTypeMappings</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;moduleTypeMappings)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#setSecurityRoles(java.util.Set)">setSecurityRoles</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/plugins/ear/descriptor/EarSecurityRole.html" title="interface in org.gradle.plugins.ear.descriptor">EarSecurityRole</a>&gt;&nbsp;securityRoles)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#setVersion(java.lang.String)">setVersion</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;version)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#webModule(java.lang.String,%20java.lang.String)">webModule</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;contextRoot)</code>
<div class="block">Add a web module to the deployment descriptor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#withXml(org.gradle.api.Action)">withXml</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/XmlProvider.html" title="interface in org.gradle.api">XmlProvider</a>&gt;&nbsp;action)</code>
<div class="block">Adds an action to be called when the XML document has been created.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#withXml(groovy.lang.Closure)">withXml</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Adds a closure to be called when the XML document has been created.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#writeTo(java.lang.Object)">writeTo</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</code>
<div class="block">Writes the deployment descriptor into a file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html#writeTo(java.io.Writer)">writeTo</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;writer)</code>
<div class="block">Writes the deployment descriptor into a writer.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFileName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFileName()</pre>
<div class="block">The name of the descriptor file, typically "application.xml"</div>
</li>
</ul>
<a name="setFileName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileName</h4>
<pre>void&nbsp;setFileName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</pre>
</li>
</ul>
<a name="getVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersion</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getVersion()</pre>
<div class="block">The version of application.xml. Required. Valid versions are "1.3", "1.4", "5" and "6". Defaults to "6".</div>
</li>
</ul>
<a name="setVersion(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVersion</h4>
<pre>void&nbsp;setVersion(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;version)</pre>
</li>
</ul>
<a name="getApplicationName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApplicationName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getApplicationName()</pre>
<div class="block">The application name. Optional. Only valid with version 6.</div>
</li>
</ul>
<a name="setApplicationName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setApplicationName</h4>
<pre>void&nbsp;setApplicationName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;applicationName)</pre>
</li>
</ul>
<a name="getInitializeInOrder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInitializeInOrder</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;getInitializeInOrder()</pre>
<div class="block">Whether to initialize modules in the order they appear in the descriptor, with the exception of client modules.
 Optional. Only valid with version 6.</div>
</li>
</ul>
<a name="setInitializeInOrder(java.lang.Boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInitializeInOrder</h4>
<pre>void&nbsp;setInitializeInOrder(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;initializeInOrder)</pre>
</li>
</ul>
<a name="getDescription()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescription</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDescription()</pre>
<div class="block">The application description. Optional.</div>
</li>
</ul>
<a name="setDescription(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDescription</h4>
<pre>void&nbsp;setDescription(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;description)</pre>
</li>
</ul>
<a name="getDisplayName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDisplayName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDisplayName()</pre>
<div class="block">The application display name. Optional.</div>
</li>
</ul>
<a name="setDisplayName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDisplayName</h4>
<pre>void&nbsp;setDisplayName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;displayName)</pre>
</li>
</ul>
<a name="getLibraryDirectory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLibraryDirectory</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getLibraryDirectory()</pre>
<div class="block">The name of the directory to look for libraries in. Optional. If not specified, <a href="../../../../../org/gradle/plugins/ear/Ear.html#getLibDirName()"><code>Ear.getLibDirName()</code></a> is used.
 Typically, this should be set via <a href="../../../../../org/gradle/plugins/ear/EarPluginConvention.html#setLibDirName(java.lang.String)"><code>EarPluginConvention.setLibDirName(String)</code></a> instead of this property
 when using the <code>ear</code> plugin.</div>
</li>
</ul>
<a name="setLibraryDirectory(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLibraryDirectory</h4>
<pre>void&nbsp;setLibraryDirectory(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;libraryDirectory)</pre>
</li>
</ul>
<a name="getModules()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModules</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/plugins/ear/descriptor/EarModule.html" title="interface in org.gradle.plugins.ear.descriptor">EarModule</a>&gt;&nbsp;getModules()</pre>
<div class="block">List of module descriptors. Must not be empty. Non-null and order-maintaining by default. Must maintain order if
 initializeInOrder is <code>true</code>.</div>
</li>
</ul>
<a name="setModules(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setModules</h4>
<pre>void&nbsp;setModules(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/plugins/ear/descriptor/EarModule.html" title="interface in org.gradle.plugins.ear.descriptor">EarModule</a>&gt;&nbsp;modules)</pre>
</li>
</ul>
<a name="module(org.gradle.plugins.ear.descriptor.EarModule, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>module</h4>
<pre><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a>&nbsp;module(<a href="../../../../../org/gradle/plugins/ear/descriptor/EarModule.html" title="interface in org.gradle.plugins.ear.descriptor">EarModule</a>&nbsp;module,
                          <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</pre>
<div class="block">Add a module to the deployment descriptor.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>module</code> - The module to add.</dd><dd><code>type</code> - The type of the module, such as "ejb", "java", etc.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this.</dd></dl>
</li>
</ul>
<a name="module(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>module</h4>
<pre><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a>&nbsp;module(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
                          <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</pre>
<div class="block">Add a module to the deployment descriptor.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path of the module to add.</dd><dd><code>type</code> - The type of the module, such as "ejb", "java", etc.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this.</dd></dl>
</li>
</ul>
<a name="webModule(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>webModule</h4>
<pre><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a>&nbsp;webModule(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
                             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;contextRoot)</pre>
<div class="block">Add a web module to the deployment descriptor.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path of the module to add.</dd><dd><code>contextRoot</code> - The context root type of the web module.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this.</dd></dl>
</li>
</ul>
<a name="getSecurityRoles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSecurityRoles</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/plugins/ear/descriptor/EarSecurityRole.html" title="interface in org.gradle.plugins.ear.descriptor">EarSecurityRole</a>&gt;&nbsp;getSecurityRoles()</pre>
<div class="block">List of security roles. Optional. Non-null and order-maintaining by default.</div>
</li>
</ul>
<a name="setSecurityRoles(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSecurityRoles</h4>
<pre>void&nbsp;setSecurityRoles(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/plugins/ear/descriptor/EarSecurityRole.html" title="interface in org.gradle.plugins.ear.descriptor">EarSecurityRole</a>&gt;&nbsp;securityRoles)</pre>
</li>
</ul>
<a name="securityRole(org.gradle.plugins.ear.descriptor.EarSecurityRole)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>securityRole</h4>
<pre><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a>&nbsp;securityRole(<a href="../../../../../org/gradle/plugins/ear/descriptor/EarSecurityRole.html" title="interface in org.gradle.plugins.ear.descriptor">EarSecurityRole</a>&nbsp;role)</pre>
<div class="block">Add a security role to the deployment descriptor.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>role</code> - The security role to add.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this.</dd></dl>
</li>
</ul>
<a name="securityRole(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>securityRole</h4>
<pre><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a>&nbsp;securityRole(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;role)</pre>
<div class="block">Add a security role to the deployment descriptor.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>role</code> - The name of the security role to add.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this.</dd></dl>
</li>
</ul>
<a name="securityRole(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>securityRole</h4>
<pre><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a>&nbsp;securityRole(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/plugins/ear/descriptor/EarSecurityRole.html" title="interface in org.gradle.plugins.ear.descriptor">EarSecurityRole</a>&gt;&nbsp;action)</pre>
<div class="block">Add a security role to the deployment descriptor after configuring it with the given action.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - an action to configure the security role</dd>
<dt><span class="strong">Returns:</span></dt><dd>this.</dd></dl>
</li>
</ul>
<a name="getModuleTypeMappings()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModuleTypeMappings</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getModuleTypeMappings()</pre>
<div class="block">Mapping of module paths to module types. Non-null by default. For example, to specify that a module is a java
 module, set <code>moduleTypeMappings["myJavaModule.jar"] = "java"</code>.</div>
</li>
</ul>
<a name="setModuleTypeMappings(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setModuleTypeMappings</h4>
<pre>void&nbsp;setModuleTypeMappings(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;moduleTypeMappings)</pre>
</li>
</ul>
<a name="withXml(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withXml</h4>
<pre><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a>&nbsp;withXml(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Adds a closure to be called when the XML document has been created. The XML is passed to the closure as a
 parameter in form of a <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/Node.html?is-external=true" title="class or interface in groovy.util"><code>Node</code></a>. The closure can modify the XML before it is written to the
 output file. This allows additional JavaEE version 6 elements like "data-source" or "resource-ref" to be
 included.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The closure to execute when the XML has been created</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="withXml(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withXml</h4>
<pre><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a>&nbsp;withXml(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/XmlProvider.html" title="interface in org.gradle.api">XmlProvider</a>&gt;&nbsp;action)</pre>
<div class="block">Adds an action to be called when the XML document has been created. The XML is passed to the action as a
 parameter in form of a <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/Node.html?is-external=true" title="class or interface in groovy.util"><code>Node</code></a>. The action can modify the XML before it is written to the output
 file. This allows additional JavaEE version 6 elements like "data-source" or "resource-ref" to be included.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to execute when the XML has been created</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="readFrom(java.io.Reader)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readFrom</h4>
<pre><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a>&nbsp;readFrom(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;reader)</pre>
<div class="block">Reads the deployment descriptor from a reader.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>reader</code> - The reader to read the deployment descriptor from</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="readFrom(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readFrom</h4>
<pre>boolean&nbsp;readFrom(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</pre>
<div class="block">Reads the deployment descriptor from a file. The paths are resolved as defined by
 <a href="../../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path of the file to read the deployment descriptor from</dd>
<dt><span class="strong">Returns:</span></dt><dd>whether the descriptor could be read from the given path</dd></dl>
</li>
</ul>
<a name="writeTo(java.io.Writer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeTo</h4>
<pre><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a>&nbsp;writeTo(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;writer)</pre>
<div class="block">Writes the deployment descriptor into a writer.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>writer</code> - The writer to write the deployment descriptor to</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="writeTo(java.lang.Object)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>writeTo</h4>
<pre><a href="../../../../../org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" title="interface in org.gradle.plugins.ear.descriptor">DeploymentDescriptor</a>&nbsp;writeTo(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</pre>
<div class="block">Writes the deployment descriptor into a file. The paths are resolved as defined by
 <a href="../../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path of the file to write the deployment descriptor into.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/plugins/ear/descriptor/EarModule.html" title="interface in org.gradle.plugins.ear.descriptor"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/ear/descriptor/DeploymentDescriptor.html" target="_top">Frames</a></li>
<li><a href="DeploymentDescriptor.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
